View Issue Details

IDProjectCategoryView StatusLast Update
0002665SymmetricDSImprovementpublic2016-08-09 13:12
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002665: Reduce number of times parameters are reread during startup
DescriptionThe parameters are read from sym_parameter table are read multiple times during startup. Improve startup time by reducing the number of times the parameters are read.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 338745c8

2016-07-01 21:06:41

admin

Details Diff
0002665: Reduce number of times parameters are reread during startup
0002665
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractParameterService.java Diff File

SymmetricDS: 3.8 8bb05f58

2016-07-02 11:12:46

admin

Details Diff
0002665: Reduce number of times parameters are reread during startup
0002665
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File

Issue History

Date Modified Username Field Change
2016-07-01 21:05 elong New Issue
2016-07-01 21:05 elong Status new => assigned
2016-07-01 21:05 elong Assigned To => elong
2016-07-01 22:25 elong Status assigned => resolved
2016-07-01 22:25 elong Fixed in Version => 3.8.0
2016-07-01 22:25 elong Resolution open => fixed
2016-07-01 23:00 admin Changeset attached => SymmetricDS 3.8 338745c8
2016-07-02 12:00 admin Changeset attached => SymmetricDS 3.8 8bb05f58
2016-08-09 13:12 admin Status resolved => closed